W3M(1)

NAME
w3m - a text based Web browser and pager

SYNOPSIS
w3m [options] [URL or filename]

DESCRIPTION
w3m is a World Wide Web (WWW) text based client. It has English and Japanese help files and an option menu and can be configured to use either language. It will display hypertext markup language (HTML) documents containing links to files residing on the local system, as well as files residing on remote systems. It can display HTML tables and frames. In addition, it can be used as a "pager" in much the same manner as "more" or "less". Current versions of w3m run on Unix (Solaris, SunOS, HP-UX, Linux, FreeBSD, and EWS4800) and on Microsoft Windows 9x/NT.

OPTIONS
At start up, w3m will load any local file or remote URL specified at the command line. For help with runtime options, press "H" while running w3m. Command line options are:

-t tab
    set tab width

-r  ignore backspace effect

-l line
    # of preserved line (default 10000)

-I charset
    document charset

-O charset
    display/output charset

-B  load bookmark

-bookmark file
    specify bookmark file

-T type
    specify content-type

-m  internet message mode

-v  visual startup mode

-M  monochrome display

-N  open URL of command line on each new tab

-F  automatically render frame

-dump
    dump formatted page into stdout

-cols width
    specify column width (used with -dump)

-ppc count
    specify the number of pixels per character (4.0...32.0). Larger values will make tables narrower. [default 8.0]

-ppl count
    specify the number of pixels per line (4.0...64.0)

-dump_source
    dump page source into stdout

-dump_head
    dump response of HEAD request into stdout

-dump_both
    dump HEAD and source into stdout

-dump_extra
    dump HEAD, source, and extra information into stdout

-post file
    use POST method with file content

-header string
    insert string as a header

+<num>
    goto <num> line

-num
    show line number

-no-proxy
    don't use proxy

-4  IPv4 only (-o dns_order=4)

-6  IPv6 only (-o dns_order=6)

-no-mouse
    don't use mouse

-cookie
    use cookie.

-no-cookie
    don't use cookie

-graph
    use graphic character

-no-graph
    don't use graphic character

-S  squeeze multiple blank lines

-W  toggle wrap search mode

-X  don't use termcap init/deinit

-title [=TERM]
    set buffer name to terminal title string. If TERM is specified, use the TERM style title configuration.

-o opt=value
    assign value to config option

-show-option
    show all available config option

-config file
    specify config file

-help
    show usage

-version
    show w3m version

-reqlog
    write request logfile

-debug
    DO NOT USE

EXAMPLES

To use w3m as a pager:
    $ ls | w3m

To use w3m to translate HTML files:
    $ cat foo.html | w3m -T text/html

or
    $ cat foo.html | w3m -dump -T text/html >foo.txt

FILES

${HOME}/.w3m/config
    configuration file

${HOME}/.w3m/keymap
    key binding configuration file

${HOME}/.w3m/mouse
    mouse configuration file

${HOME}/.w3m/cookie
    cookie file

${HOME}/.w3m/history
    history file

${HOME}/.w3m/passwd
    passowrd and username file

${HOME}/.w3m/pre_form
    form parameters file

${HOME}/.w3m/mailcap
    external viewer configuration file

${HOME}/.w3m/mime.types
    MIME types file

NOTES
This is the w3m 0.5.3 Release.

Please see the MANUAL.html file distributed with w3m for more detailed documentation. Additional information about w3m may be found on its Japanese language Web site located at:
  http://w3m.sourceforge.net/index.ja.html
or on its English version of the site at:
  http://w3m.sourceforge.net/index.en.html

ACKNOWLEDGMENTS
w3m has incorporated code from several sources. Users have contributed patches and suggestions over time.

AUTHOR
Akinori ITO <aito@fw.ipsj.or.jp>